Skip to main content
POST
/
vendors
/
{vendorId}
/
documents
Add document to a vendor
curl --request POST \
  --url https://api.vanta.com/v1/vendors/{vendorId}/documents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form 'type=<string>' \
  --form 'title=<string>' \
  --form 'description=<string>'
{
  "id": "a2f7e1b9d0c3f4e5a6c7b8d8",
  "url": "https://example.com",
  "title": "PDF SOC2 Report",
  "fileName": "soc2.pdf",
  "type": "SOC2_REPORT",
  "mimeType": "application/pdf",
  "description": "The 2023 SOC2 file provided by the vendor",
  "uploadedBy": {
    "id": "66993da0cf4ba2ad40599ba7",
    "type": "USER"
  },
  "creationDate": "2024-02-01T00:00:00.000Z",
  "updatedDate": "2024-02-07T00:00:00.000Z",
  "deletionDate": null
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

vendorId
string
required

Body

multipart/form-data
file
file
required
type
string
required

Type of the vendor document.

title
string

The document's title.

description
string

The document's description.

Response

200 - application/json

Ok

id
string
required

Unique identifier for the document.

fileName
string | null
required

The file name of the document.

title
string
required

The document's title.

description
string | null
required

The document's description

mimeType
string
required

Mime type of the document.

uploadedBy
object
required

The actor who uploaded this document. It could be a user or an app.

creationDate
string<date-time>
required

Date of when the document was uploaded.

updatedDate
string<date-time>
required

Date when the document was last updated.

deletionDate
string<date-time> | null
required

Date of when the document was deleted. Is set to null if the document has not been deleted.

type
string
required

Type of the vendor document.

url
string
required

URL link to the document